TypeScript
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.attackProtection.phoneProviderProtection.get();
}
main();
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.attackProtection.phoneProviderProtection.get();
}
main();
package example
import (
context "context"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
mgmt.AttackProtection.PhoneProviderProtection.Get(
context.TODO(),
)
}
# Ensure you're logged in: auth0 login
auth0 api get "attack-protection/phone-provider-protection"using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.AttackProtection.PhoneProviderProtection.GetAsync();
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.attackProtection().phoneProviderProtection().get();
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->attackProtection->phoneProviderProtection->get();
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.attack_protection.phone_provider_protection.get()
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.attack_protection.phone_provider_protection.get
curl --request GET \
--url https://{tenantDomain}/api/v2/attack-protection/phone-provider-protection \
--header 'Authorization: Bearer <token>'{
"type": "exponential"
}Get Phone Provider Protection settings
Get the phone provider protection configuration for a tenant.
GET
https://{tenantDomain}/api/v2
/
attack-protection
/
phone-provider-protection
TypeScript
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.attackProtection.phoneProviderProtection.get();
}
main();
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.attackProtection.phoneProviderProtection.get();
}
main();
package example
import (
context "context"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
mgmt.AttackProtection.PhoneProviderProtection.Get(
context.TODO(),
)
}
# Ensure you're logged in: auth0 login
auth0 api get "attack-protection/phone-provider-protection"using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.AttackProtection.PhoneProviderProtection.GetAsync();
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.attackProtection().phoneProviderProtection().get();
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->attackProtection->phoneProviderProtection->get();
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.attack_protection.phone_provider_protection.get()
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.attack_protection.phone_provider_protection.get
curl --request GET \
--url https://{tenantDomain}/api/v2/attack-protection/phone-provider-protection \
--header 'Authorization: Bearer <token>'{
"type": "exponential"
}Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Phone provider protection configuration successfully retrieved.
The type of backoff strategy to use.
Available options:
exponential, default